Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
New Developer
big_kolm
Posts: 6
Registered: ‎01-07-2009
My Device: Z10
Accepted Solution

Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

Cannot update ADT 23 until BB plugin 2.0.4 is installed. After uninstall and ADT update, cannot install it back.

The error is

Missing requirement: BlackBerry Eclipse Plugin for Android Development 2.0.4.201405221110 (net.rim.ajde.feature.feature.group 2.0.4.201405221110) requires 'com.android.ide.eclipse.adt.feature.group 0.0.0' but it could not be found

Please use plain text.
Trusted Contributor
basitj
Posts: 107
Registered: ‎04-08-2011
My Device: BlackBerry Q10

Re: Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

I've the same issue. 

 

Any workarounds pls?

Get Speedometer on your phone. http://www.speedometer.mobi
Please use plain text.
New Member
zoebalimak
Posts: 1
Registered: ‎07-02-2014
My Device: BB Q10

Re: Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

Make sure API 10 is installed in SDK Manager.It's compulsory to install API 10.

Please use plain text.
Trusted Contributor
basitj
Posts: 107
Registered: ‎04-08-2011
My Device: BlackBerry Q10

Re: Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

Well, I do have API level 10

 

I always had it and I could successfully install and use the plugin. What I did, I updated the ADT and it was giving errors, uninstalled BlackBerry plugin and ADT updated fine.

Now can't install BB plugin again :smileysad:

 

Get Speedometer on your phone. http://www.speedometer.mobi
Please use plain text.
New Developer
big_kolm
Posts: 6
Registered: ‎01-07-2009
My Device: Z10

Re: Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

[ Edited ]

There is nothing related to Android API, only to Android Eclipse plugin.

ADT has two bugfixes this week, now it is version 23.0.2, but issue is still there.

I went deeply into, probably I know where is a source of the issue.

ADT 23 was released to IO event, but sooo buggy. The plugin modules identifiers were changed, may be by mistake, I am not sure, guys from BB tool team have to ask Google guys directly.

 

In ADT 23 the main module has id

com.android.ide.eclipse.adt.feature.feature.group

But BB plugin is depended on

com.android.ide.eclipse.adt.feature.group

 

As you see the 'feature' twice in the id.

Please use plain text.
Visitor
fabiot
Posts: 1
Registered: ‎07-04-2014
My Device: Z10

Re: Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

I have the same problem. Still not solved.

But you can use the Blackberry ADB Proxy Manager instead. Your BB will show up as Android device in eclipse...

The Proxy Manager can be donwloaded from the BB website. Just donload the Command Line Tools.
Please use plain text.
Trusted Contributor
basitj
Posts: 107
Registered: ‎04-08-2011
My Device: BlackBerry Q10

Re: Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

Thanks for the suggestion.

Proxy manager gives a decent alternative.

Get Speedometer on your phone. http://www.speedometer.mobi
Please use plain text.
Administrator
MSohm
Posts: 14,569
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook

Re: Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

[ Edited ]

As you've discovered, our plugin is not currently compatible with ADT 23.  We are working on an update, but in the meantime you can downgrade back to ADT 22.x.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Trusted Contributor
basitj
Posts: 107
Registered: ‎04-08-2011
My Device: BlackBerry Q10

Re: Eclipse plugin 2.0.4 doesn't compatible with new ADT 23

Thanks for the official word.

Either you can downgrade or can use the Android Proxy manager as I mentioned above.

Get Speedometer on your phone. http://www.speedometer.mobi
Please use plain text.